/Biometrics/id
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://liveness-v2-eu.core.idscan.cloud/Biometrics/id"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new MultipartFormDataContent { new StringContent("example") { Headers = { ContentType = new MediaTypeHeaderValue("text/plain"), ContentDisposition = new ContentDispositionHeaderValue("form-data") { Name = "EnhancedLivenessPacketId", } } }, new StringContent("example") { Headers = { ContentType = new MediaTypeHeaderValue("text/plain"), ContentDisposition = new ContentDispositionHeaderValue("form-data") { Name = "ComparisonSelfieId", } } }, new StringContent("{ \"additionalProperty\": \"example\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json"), ContentDisposition = new ContentDispositionHeaderValue("form-data") { Name = "AdditionalData", } } }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://liveness-v2-eu.core.idscan.cloud/Biometrics/id"
payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"EnhancedLivenessPacketId\"\r\nContent-Type: text/plain\r\n\r\nexample\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"ComparisonSelfieId\"\r\nContent-Type: text/plain\r\n\r\nexample\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"AdditionalData\"\r\nContent-Type: application/json\r\n\r\n{ \"additionalProperty\": \"example\" }\r\n-----011000010111000001101001--\r\n")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "multipart/form-data; boundary=---011000010111000001101001")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("multipart/form-data; boundary=---011000010111000001101001");RequestBody body = RequestBody.create(mediaType, "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"EnhancedLivenessPacketId\"\r\nContent-Type: text/plain\r\n\r\nexample\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"ComparisonSelfieId\"\r\nContent-Type: text/plain\r\n\r\nexample\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"AdditionalData\"\r\nContent-Type: application/json\r\n\r\n{ \"additionalProperty\": \"example\" }\r\n-----011000010111000001101001--\r\n");Request request = new Request.Builder() .url("https://liveness-v2-eu.core.idscan.cloud/Biometrics/id") .post(body) .addHeader("Authorization", "Bearer <token>") .addHeader("Content-Type", "multipart/form-data; boundary=---011000010111000001101001") .build();
Response response = client.newCall(request).execute();const url = 'https://liveness-v2-eu.core.idscan.cloud/Biometrics/id';const form = new FormData();form.append('EnhancedLivenessPacketId', 'example');form.append('ComparisonSelfieId', 'example');form.append('AdditionalData', '{ "additionalProperty": "example" }');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}val client = OkHttpClient()
val mediaType = MediaType.parse("multipart/form-data; boundary=---011000010111000001101001")val body = RequestBody.create(mediaType, "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"EnhancedLivenessPacketId\"\r\nContent-Type: text/plain\r\n\r\nexample\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"ComparisonSelfieId\"\r\nContent-Type: text/plain\r\n\r\nexample\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"AdditionalData\"\r\nContent-Type: application/json\r\n\r\n{ \"additionalProperty\": \"example\" }\r\n-----011000010111000001101001--\r\n")val request = Request.Builder() .url("https://liveness-v2-eu.core.idscan.cloud/Biometrics/id") .post(body) .addHeader("Authorization", "Bearer <token>") .addHeader("Content-Type", "multipart/form-data; boundary=---011000010111000001101001") .build()
val response = client.newCall(request).execute()curl --request POST \ --url https://liveness-v2-eu.core.idscan.cloud/Biometrics/id \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: multipart/form-data' \ --form EnhancedLivenessPacketId=example \ --form ComparisonSelfieId=example \ --form 'AdditionalData={ "additionalProperty": "example" }'Biometric check Endpoint detects biometric spoofing from the encrypted liveness packet id and the selfie image id, without introducing friction or bias.
Documents and Biometrics Core BiometricCheckById endpoint allows for an encrypted packet containing photograph and the environment metadata to be uploaded for processing to determine the probability that the end user was present at the time of capture, and also detect any threatening injection attacks. An anchor Selfie image id is uploaded to compare the face match with the image extracted from the liveness packet. (Please reach out to your support representative for the “Documents Biometrics Liveness Guide” for further guidance on authentication). The endpoint will return a result after processing. The response contains EnhancedLivenessScore, in the range of 0 to 1, PassiveLivenessScore in the range of 0 to 100, and FacematchScore in the range of 0 to 1. The results is either a PASS (EnhancedLiveness Probability > 0.8 and Facematch result is a Matched) or FAIL based on the validation.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Correlation Id for the request
Request Body
Section titled “Request Body”object
Gets or sets the enhanced liveness packet.
Gets or sets the comparison selfie.
Key value pair to include any additional metadata for the request.
object
Responses
Section titled “Responses”Returns a success on the Endpoint after processing the biometric check.This code does not indicate a success on the Biometric validation but rather a success on the call to the Endpoint.The BiometricCheckByIdResponse is in the response body (See Response Body section below).
Biometric Api response combining results of Enhanced Liveness and Facematch scores.
object
Represents an error response object, providing information about the error code and its description.
object
Gets or sets the error code, if returned by the provider.
Details on any error if returned by the provider.>
Represents an error response object, providing information about the error code and its description.
object
Gets or sets the error code, if returned by the provider.
Details on any error if returned by the provider.>
Captures the Liveness score. Accepted values are in the range between 0 - 1.
Validation result score from the liveness provider. Accepted values are in the range of 0 - 100. The value is unbounded, the bigger the score the higher the image’s liveness. Score of 50 and above is considered a pass.
Facematch score from the comparison of the selfie image with the extracted image from the Enhanced Liveness packet.
Biometric validation result as PASS or FAIL based on the EnhancedLiveness probability and Facematch score.
Enhanced Liveness result as PASS or FAIL based on the IAD probability score (threshold: 0.5).
Image id of the extracted image.
Biometric Api response combining results of Enhanced Liveness and Facematch scores.
object
Represents an error response object, providing information about the error code and its description.
object
Gets or sets the error code, if returned by the provider.
Details on any error if returned by the provider.>
Represents an error response object, providing information about the error code and its description.
object
Gets or sets the error code, if returned by the provider.
Details on any error if returned by the provider.>
Captures the Liveness score. Accepted values are in the range between 0 - 1.
Validation result score from the liveness provider. Accepted values are in the range of 0 - 100. The value is unbounded, the bigger the score the higher the image’s liveness. Score of 50 and above is considered a pass.
Facematch score from the comparison of the selfie image with the extracted image from the Enhanced Liveness packet.
Biometric validation result as PASS or FAIL based on the EnhancedLiveness probability and Facematch score.
Enhanced Liveness result as PASS or FAIL based on the IAD probability score (threshold: 0.5).
Image id of the extracted image.
Example generated
{ "enhancedLivenessError": { "errorCode": "example", "error": "example" }, "facematchError": { "errorCode": "example", "error": "example" }, "enhancedLivenessScore": 1, "passiveLivenessScore": 1, "facematchScore": 1, "result": "example", "enhancedLivenessResult": "example", "extractedImageId": "example"}Biometric Api response combining results of Enhanced Liveness and Facematch scores.
object
Represents an error response object, providing information about the error code and its description.
object
Gets or sets the error code, if returned by the provider.
Details on any error if returned by the provider.>
Represents an error response object, providing information about the error code and its description.
object
Gets or sets the error code, if returned by the provider.
Details on any error if returned by the provider.>
Captures the Liveness score. Accepted values are in the range between 0 - 1.
Validation result score from the liveness provider. Accepted values are in the range of 0 - 100. The value is unbounded, the bigger the score the higher the image’s liveness. Score of 50 and above is considered a pass.
Facematch score from the comparison of the selfie image with the extracted image from the Enhanced Liveness packet.
Biometric validation result as PASS or FAIL based on the EnhancedLiveness probability and Facematch score.
Enhanced Liveness result as PASS or FAIL based on the IAD probability score (threshold: 0.5).
Image id of the extracted image.
Example generated
{ "enhancedLivenessError": { "errorCode": "example", "error": "example" }, "facematchError": { "errorCode": "example", "error": "example" }, "enhancedLivenessScore": 1, "passiveLivenessScore": 1, "facematchScore": 1, "result": "example", "enhancedLivenessResult": "example", "extractedImageId": "example"}Error with the provided parameters, please, check the response provided to get more insights on the problem.
Represents an error response object for biometric validation, providing information about the error code and its description.
object
Represents an error response object, providing information about the error code and its description.
object
Gets or sets the error code, if returned by the provider.
Details on any error if returned by the provider.>
Represents an error response object, providing information about the error code and its description.
object
Gets or sets the error code, if returned by the provider.
Details on any error if returned by the provider.>
Represents an error response object for biometric validation, providing information about the error code and its description.
object
Represents an error response object, providing information about the error code and its description.
object
Gets or sets the error code, if returned by the provider.
Details on any error if returned by the provider.>
Represents an error response object, providing information about the error code and its description.
object
Gets or sets the error code, if returned by the provider.
Details on any error if returned by the provider.>
Example generated
{ "enhancedLivenessError": { "errorCode": "example", "error": "example" }, "facematchError": { "errorCode": "example", "error": "example" }}Represents an error response object for biometric validation, providing information about the error code and its description.
object
Represents an error response object, providing information about the error code and its description.
object
Gets or sets the error code, if returned by the provider.
Details on any error if returned by the provider.>
Represents an error response object, providing information about the error code and its description.
object
Gets or sets the error code, if returned by the provider.
Details on any error if returned by the provider.>
Example generated
{ "enhancedLivenessError": { "errorCode": "example", "error": "example" }, "facematchError": { "errorCode": "example", "error": "example" }}Internal error during our processing, please, get in touch with support so we can help you.
object
object
Example generated
{ "errorMessage": "example", "errors": [ "example" ]}object
Example generated
{ "errorMessage": "example", "errors": [ "example" ]}